Package org.apache.storm.generated

## Class StormTopology

- java.lang.Object
- - org.apache.storm.generated.StormTopology

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<StormTopology>`, `org.apache.storm.thrift.TBase<StormTopology,​StormTopology._Fields>`, `org.apache.storm.thrift.TSerializable`
  Direct Known Subclasses:
    `LocalCluster.LocalTopology`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public class StormTopology
      extends Object
      implements org.apache.storm.thrift.TBase<StormTopology,​StormTopology._Fields>, Serializable, Cloneable, Comparable<StormTopology>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `StormTopology._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<StormTopology._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StormTopology()` |
    `StormTopology​(Map<String,​SpoutSpec> spouts, Map<String,​Bolt> bolts, Map<String,​StateSpoutSpec> state_spouts)` |
    `StormTopology​(StormTopology other)` | Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add_to_dependency_artifacts​(String elem)` |
    `void` | `add_to_dependency_jars​(String elem)` |
    `void` | `add_to_worker_hooks​(ByteBuffer elem)` |
    `void` | `clear()` |
    `int` | `compareTo​(StormTopology other)` |
    `StormTopology` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(StormTopology that)` |
    `StormTopology._Fields` | `fieldForId​(int fieldId)` |
    `Map<String,​Bolt>` | `get_bolts()` |
    `int` | `get_bolts_size()` |
    `Map<String,​Set<String>>` | `get_component_to_shared_memory()` |
    `int` | `get_component_to_shared_memory_size()` |
    `List<String>` | `get_dependency_artifacts()` |
    `Iterator<String>` | `get_dependency_artifacts_iterator()` |
    `int` | `get_dependency_artifacts_size()` |
    `List<String>` | `get_dependency_jars()` |
    `Iterator<String>` | `get_dependency_jars_iterator()` |
    `int` | `get_dependency_jars_size()` |
    `String` | `get_jdk_version()` |
    `Map<String,​SharedMemory>` | `get_shared_memory()` |
    `int` | `get_shared_memory_size()` |
    `Map<String,​SpoutSpec>` | `get_spouts()` |
    `int` | `get_spouts_size()` |
    `Map<String,​StateSpoutSpec>` | `get_state_spouts()` |
    `int` | `get_state_spouts_size()` |
    `String` | `get_storm_version()` |
    `List<ByteBuffer>` | `get_worker_hooks()` |
    `Iterator<ByteBuffer>` | `get_worker_hooks_iterator()` |
    `int` | `get_worker_hooks_size()` |
    `Object` | `getFieldValue​(StormTopology._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_set_bolts()` | Returns true if field bolts is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_component_to_shared_memory()` | Returns true if field component_to_shared_memory is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_dependency_artifacts()` | Returns true if field dependency_artifacts is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_dependency_jars()` | Returns true if field dependency_jars is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_jdk_version()` | Returns true if field jdk_version is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_shared_memory()` | Returns true if field shared_memory is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_spouts()` | Returns true if field spouts is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_state_spouts()` | Returns true if field state_spouts is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_storm_version()` | Returns true if field storm_version is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_worker_hooks()` | Returns true if field worker_hooks is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(StormTopology._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `put_to_bolts​(String key, Bolt val)` |
    `void` | `put_to_component_to_shared_memory​(String key, Set<String> val)` |
    `void` | `put_to_shared_memory​(String key, SharedMemory val)` |
    `void` | `put_to_spouts​(String key, SpoutSpec val)` |
    `void` | `put_to_state_spouts​(String key, StateSpoutSpec val)` |
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_bolts​(Map<String,​Bolt> bolts)` |
    `void` | `set_bolts_isSet​(boolean value)` |
    `void` | `set_component_to_shared_memory​(Map<String,​Set<String>> component_to_shared_memory)` |
    `void` | `set_component_to_shared_memory_isSet​(boolean value)` |
    `void` | `set_dependency_artifacts​(List<String> dependency_artifacts)` |
    `void` | `set_dependency_artifacts_isSet​(boolean value)` |
    `void` | `set_dependency_jars​(List<String> dependency_jars)` |
    `void` | `set_dependency_jars_isSet​(boolean value)` |
    `void` | `set_jdk_version​(String jdk_version)` |
    `void` | `set_jdk_version_isSet​(boolean value)` |
    `void` | `set_shared_memory​(Map<String,​SharedMemory> shared_memory)` |
    `void` | `set_shared_memory_isSet​(boolean value)` |
    `void` | `set_spouts​(Map<String,​SpoutSpec> spouts)` |
    `void` | `set_spouts_isSet​(boolean value)` |
    `void` | `set_state_spouts​(Map<String,​StateSpoutSpec> state_spouts)` |
    `void` | `set_state_spouts_isSet​(boolean value)` |
    `void` | `set_storm_version​(String storm_version)` |
    `void` | `set_storm_version_isSet​(boolean value)` |
    `void` | `set_worker_hooks​(List<ByteBuffer> worker_hooks)` |
    `void` | `set_worker_hooks_isSet​(boolean value)` |
    `void` | `setFieldValue​(StormTopology._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_bolts()` |
    `void` | `unset_component_to_shared_memory()` |
    `void` | `unset_dependency_artifacts()` |
    `void` | `unset_dependency_jars()` |
    `void` | `unset_jdk_version()` |
    `void` | `unset_shared_memory()` |
    `void` | `unset_spouts()` |
    `void` | `unset_state_spouts()` |
    `void` | `unset_storm_version()` |
    `void` | `unset_worker_hooks()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<StormTopology._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### StormTopology

          public StormTopology()

    - #### StormTopology

          public StormTopology​(Map<String,​SpoutSpec> spouts,
                               Map<String,​Bolt> bolts,
                               Map<String,​StateSpoutSpec> state_spouts)

    - #### StormTopology

          public StormTopology​(StormTopology other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public StormTopology deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<StormTopology,​StormTopology._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<StormTopology,​StormTopology._Fields>`

    - #### get_spouts_size

          public int get_spouts_size()

    - #### put_to_spouts

          public void put_to_spouts​(String key,
                                    SpoutSpec val)

    - #### get_spouts

          public Map<String,​SpoutSpec> get_spouts()

    - #### set_spouts

          public void set_spouts​(Map<String,​SpoutSpec> spouts)

    - #### unset_spouts

          public void unset_spouts()

    - #### is_set_spouts

          public boolean is_set_spouts()

      Returns true if field spouts is set (has been assigned a value) and false otherwise

    - #### set_spouts_isSet

          public void set_spouts_isSet​(boolean value)

    - #### get_bolts_size

          public int get_bolts_size()

    - #### put_to_bolts

          public void put_to_bolts​(String key,
                                   Bolt val)

    - #### get_bolts

          public Map<String,​Bolt> get_bolts()

    - #### set_bolts

          public void set_bolts​(Map<String,​Bolt> bolts)

    - #### unset_bolts

          public void unset_bolts()

    - #### is_set_bolts

          public boolean is_set_bolts()

      Returns true if field bolts is set (has been assigned a value) and false otherwise

    - #### set_bolts_isSet

          public void set_bolts_isSet​(boolean value)

    - #### get_state_spouts_size

          public int get_state_spouts_size()

    - #### put_to_state_spouts

          public void put_to_state_spouts​(String key,
                                          StateSpoutSpec val)

    - #### get_state_spouts

          public Map<String,​StateSpoutSpec> get_state_spouts()

    - #### set_state_spouts

          public void set_state_spouts​(Map<String,​StateSpoutSpec> state_spouts)

    - #### unset_state_spouts

          public void unset_state_spouts()

    - #### is_set_state_spouts

          public boolean is_set_state_spouts()

      Returns true if field state_spouts is set (has been assigned a value) and false otherwise

    - #### set_state_spouts_isSet

          public void set_state_spouts_isSet​(boolean value)

    - #### get_worker_hooks_size

          public int get_worker_hooks_size()

    - #### get_worker_hooks_iterator

          public Iterator<ByteBuffer> get_worker_hooks_iterator()

    - #### add_to_worker_hooks

          public void add_to_worker_hooks​(ByteBuffer elem)

    - #### get_worker_hooks

          public List<ByteBuffer> get_worker_hooks()

    - #### set_worker_hooks

          public void set_worker_hooks​(List<ByteBuffer> worker_hooks)

    - #### unset_worker_hooks

          public void unset_worker_hooks()

    - #### is_set_worker_hooks

          public boolean is_set_worker_hooks()

      Returns true if field worker_hooks is set (has been assigned a value) and false otherwise

    - #### set_worker_hooks_isSet

          public void set_worker_hooks_isSet​(boolean value)

    - #### get_dependency_jars_size

          public int get_dependency_jars_size()

    - #### get_dependency_jars_iterator

          public Iterator<String> get_dependency_jars_iterator()

    - #### add_to_dependency_jars

          public void add_to_dependency_jars​(String elem)

    - #### get_dependency_jars

          public List<String> get_dependency_jars()

    - #### set_dependency_jars

          public void set_dependency_jars​(List<String> dependency_jars)

    - #### unset_dependency_jars

          public void unset_dependency_jars()

    - #### is_set_dependency_jars

          public boolean is_set_dependency_jars()

      Returns true if field dependency_jars is set (has been assigned a value) and false otherwise

    - #### set_dependency_jars_isSet

          public void set_dependency_jars_isSet​(boolean value)

    - #### get_dependency_artifacts_size

          public int get_dependency_artifacts_size()

    - #### get_dependency_artifacts_iterator

          public Iterator<String> get_dependency_artifacts_iterator()

    - #### add_to_dependency_artifacts

          public void add_to_dependency_artifacts​(String elem)

    - #### get_dependency_artifacts

          public List<String> get_dependency_artifacts()

    - #### set_dependency_artifacts

          public void set_dependency_artifacts​(List<String> dependency_artifacts)

    - #### unset_dependency_artifacts

          public void unset_dependency_artifacts()

    - #### is_set_dependency_artifacts

          public boolean is_set_dependency_artifacts()

      Returns true if field dependency_artifacts is set (has been assigned a value) and false otherwise

    - #### set_dependency_artifacts_isSet

          public void set_dependency_artifacts_isSet​(boolean value)

    - #### get_storm_version

          public String get_storm_version()

    - #### set_storm_version

          public void set_storm_version​(String storm_version)

    - #### unset_storm_version

          public void unset_storm_version()

    - #### is_set_storm_version

          public boolean is_set_storm_version()

      Returns true if field storm_version is set (has been assigned a value) and false otherwise

    - #### set_storm_version_isSet

          public void set_storm_version_isSet​(boolean value)

    - #### get_jdk_version

          public String get_jdk_version()

    - #### set_jdk_version

          public void set_jdk_version​(String jdk_version)

    - #### unset_jdk_version

          public void unset_jdk_version()

    - #### is_set_jdk_version

          public boolean is_set_jdk_version()

      Returns true if field jdk_version is set (has been assigned a value) and false otherwise

    - #### set_jdk_version_isSet

          public void set_jdk_version_isSet​(boolean value)

    - #### get_component_to_shared_memory_size

          public int get_component_to_shared_memory_size()

    - #### put_to_component_to_shared_memory

          public void put_to_component_to_shared_memory​(String key,
                                                        Set<String> val)

    - #### get_component_to_shared_memory

          public Map<String,​Set<String>> get_component_to_shared_memory()

    - #### set_component_to_shared_memory

          public void set_component_to_shared_memory​(Map<String,​Set<String>> component_to_shared_memory)

    - #### unset_component_to_shared_memory

          public void unset_component_to_shared_memory()

    - #### is_set_component_to_shared_memory

          public boolean is_set_component_to_shared_memory()

      Returns true if field component_to_shared_memory is set (has been assigned a value) and false otherwise

    - #### set_component_to_shared_memory_isSet

          public void set_component_to_shared_memory_isSet​(boolean value)

    - #### get_shared_memory_size

          public int get_shared_memory_size()

    - #### put_to_shared_memory

          public void put_to_shared_memory​(String key,
                                           SharedMemory val)

    - #### get_shared_memory

          public Map<String,​SharedMemory> get_shared_memory()

    - #### set_shared_memory

          public void set_shared_memory​(Map<String,​SharedMemory> shared_memory)

    - #### unset_shared_memory

          public void unset_shared_memory()

    - #### is_set_shared_memory

          public boolean is_set_shared_memory()

      Returns true if field shared_memory is set (has been assigned a value) and false otherwise

    - #### set_shared_memory_isSet

          public void set_shared_memory_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(StormTopology._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<StormTopology,​StormTopology._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(StormTopology._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<StormTopology,​StormTopology._Fields>`

    - #### isSet

          public boolean isSet​(StormTopology._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<StormTopology,​StormTopology._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(StormTopology that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(StormTopology other)

      Specified by:
        `compareTo` in interface `Comparable<StormTopology>`

    - #### fieldForId

          public StormTopology._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<StormTopology,​StormTopology._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`